# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:49 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	Cursor
Summary:	DBIx::Cursor - Perl extension for easy DBI-access to a single table
Summary(pl):	DBIx::Cursor - rozszerzenie do atwego dostpu DBI do pojedynczych tabel
Name:		perl-DBIx-Cursor
Version:	0.14
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The class DBIx::Cursor represents a cursor for a single
Database-table. You can select, update, insert or delete entries in a
table easier than creating SQL-statements. It does not use any
specific features of any database, so it should work with every
DBD-driver.

%description -l pl
Klasa DBIx::Cursor reprezentuje kursor dla pojedynczej tabeli bazy
danych. Mona wykonywa operacje select, update, insert, delete na
elementach w tabeli atwiej od tworzenia wyrae SQL. Modu nie uywa
adnych cech specyficznych dla danej bazy, wic powinien dziaa z
kadym sterownikiem DBD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBIx-Cursor.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:56:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:49  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/12 22:21:29  radek
- version 0.14

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
